#!/bin/tcsh
# Get GSOD data from NCDC for lacations listed in a file named
# stn-list.txt


set start = 1950
set finish = 2014

foreach site (`cat stn-list.txt`)
    echo Working on $site

    set YYYY = $start

    while ($YYYY <= $finish)
	echo ncftpget ftp://ftp.ncdc.noaa.gov/pub/data/gsod/{$YYYY}/{$site}\*
	ncftpget ftp://ftp.ncdc.noaa.gov/pub/data/gsod/{$YYYY}/{$site}\*
	@ YYYY ++
    end


end
